Package com.sun.jna.win32

# Class W32APITypeMapper

java.lang.Object
com.sun.jna.DefaultTypeMapper
com.sun.jna.win32.W32APITypeMapper

All Implemented Interfaces:
  `TypeMapper`

public class W32APITypeMapper extends DefaultTypeMapper
Provide standard conversion for W32 API types. This comprises the following native types:

- Unicode or ASCII/MBCS strings and arrays of string, as appropriate
- BOOL

Author:
  twall

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TypeMapper`
  `ASCII`
  Standard TypeMapper to use the ASCII/MBCS version of a w32 API.
  `static final TypeMapper`
  `DEFAULT`
  Default TypeMapper to use - depends on the value of `w32.ascii` system property
  `static final TypeMapper`
  `UNICODE`
  Standard TypeMapper to use the unicode version of a w32 API.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `W32APITypeMapper(boolean unicode)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.DefaultTypeMapper

  `addFromNativeConverter, addToNativeConverter, addTypeConverter, getFromNativeConverter, getToNativeConverter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNICODE

    public static final TypeMapper UNICODE
    Standard TypeMapper to use the unicode version of a w32 API.

  - ### ASCII

    public static final TypeMapper ASCII
    Standard TypeMapper to use the ASCII/MBCS version of a w32 API.

  - ### DEFAULT

    public static final TypeMapper DEFAULT
    Default TypeMapper to use - depends on the value of `w32.ascii` system property

- ## Constructor Details

  - ### W32APITypeMapper

    protected W32APITypeMapper(boolean unicode)